
import java.awt.geom.*;
import static java.lang.Math.*;

public class MathVector
{
	private double x;
	private double y;

	public MathVector(Point2D p)
	{
		this.x = p.getX();
		this.y = p.getY();
	}

	public MathVector(MathVector mv)
	{
		this.x = mv.getX();
		this.y = mv.getY();
	}

	public MathVector(double length, double angrad)
	{
		x = length * cos(angrad);
		y = length * sin(angrad);
	}

	public static MathVector add(MathVector mv1, MathVector mv2)
	{
		return new MathVector(new Point2D.Double(mv1.getX() + mv2.getX(), mv1.getY() + mv2.getY()));
	}

	public MathVector add(MathVector mv)
	{
		return add(this, mv);
	}

	public double getX()
	{
		return x;
	}

	public double getY()
	{
		return y;
	}

	public double distance()
	{
		return sqrt(pow(x, 2) + pow(y, 2));
	}

	public double radians()
	{
		return atan2(y, x);
	}

	public String toString()
	{
		return this.getClass().getName() + "[" + x + ", " + y + "]";
	}
}
