
import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;

public class VectorLayerUI<V extends Component> extends LayerUI<V>
{
	private MathVector vector;

	public VectorLayerUI(MathVector vector)
	{
		this.vector = vector;
	}

	public void paint(Graphics g, JComponent c)
	{
		super.paint(g, c);

		int width = c.getSize().width / 2;
		int height = c.getSize().height / 2;

		MathVector mv = new MathVector(Math.min(width, height), vector.radians());

		g.setColor(Color.black);
		g.drawLine(width, height, width + (int)mv.getX(), height + (int)mv.getY());
	}
}
